## jovie 16.08.0

=== debian/changelog ===
jovie (4:16.08.0-1) unstable; urgency=medium

  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 23:52:39 +0200

jovie (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 15:44:13 +0200

=== debian/control ===
Source: jovie
Section: utils
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               libspeechd-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.8
Homepage: http://accessibility.kde.org/developer/kttsd
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/jovie.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/jovie.git

Package: jovie
Architecture: any
Depends: speech-dispatcher, ${misc:Depends}, ${shlibs:Depends}
Replaces: kmouth (<< 4:4.8), kttsd (<< 4:4.6)
Breaks: kttsd (<< 4:4.6)
Provides: kttsd
Recommends: kmouth, speech-dispatcher-festival | espeak | flite
Description: text-to-speech system
 The Jovie text-to-speech system is a plugin based service that allows any KDE
 (or non-KDE) application to speak using the D-Bus interface.
 .
 It uses the speech-dispatcher daemon for the actual speech job; kmouth is an
 useful front-end for it.
 .
 This package is part of the KDE accessibility module.

Package: kttsd
Section: oldlibs
Architecture: all
Priority: extra
Depends: jovie, ${misc:Depends}
Description: transitional package for jovie
 This is a transitional package provided to ease upgrade from kttsd
 to jovie.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='jovie-dbg (<= 4:15.12.1-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/jovie-([\d.]+).tar.xz

## jovie 16.12.3

=== debian/changelog ===
jovie (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:24:05 +0000

jovie (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:12:43 +0000

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.30~),
                libspeechd-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: http://accessibility.kde.org/developer/kttsd
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/jovie.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/jovie.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/jovie
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/jovie
 
 Package: jovie
 Architecture: any

## jovie 17.04.3

=== debian/changelog ===
jovie (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:28:00 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.30~),
+               kdelibs5-dev (>= 4:4.14.34~),
                libspeechd-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6

## jovie 17.08.3

=== jovie/CMakeLists.txt ===

include_directories( ${SPEECHD_INCLUDE_DIR} )

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=2400)

########### next target ###############

set(jovie_SRCS
   main.cpp
   jovie.cpp
   speaker.cpp
   appdata.cpp
   ssmlconvert.cpp
   filtermgr.cpp
   talkermgr.cpp
   jovietrayicon.cpp
)

qt4_add_dbus_adaptor(jovie_SRCS ${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSpeech.xml jovie.h Jovie)

kde4_add_executable(jovie_bin ${jovie_SRCS})

set_target_properties(jovie_bin PROPERTIES OUTPUT_NAME jovie)

target_link_libraries(jovie_bin
    ${SPEECHD_LIBRARIES}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    kttsd )

install(TARGETS jovie_bin  ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES SSMLtoPlainText.xsl  DESTINATION  ${DATA_INSTALL_DIR}/jovie/xslt/ )
install( FILES jovie.desktop kttsd.desktop DESTINATION  ${SERVICES_INSTALL_DIR} )
install( PROGRAMS org.kde.jovie.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES org.kde.jovie.appdata.xml DESTINATION  ${SHARE_INSTALL_PREFIX}/metainfo/ )

=== debian/changelog ===
jovie (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Transitional package priorities changed from 'extra' to 'optional'
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:01:56 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.34~),
+               kdelibs5-dev (>= 4:4.14.38~),
                libspeechd-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
@@ -36,7 +36,7 @@
 Package: kttsd
 Section: oldlibs
 Architecture: all
-Priority: extra
+Priority: optional
 Depends: jovie, ${misc:Depends}
 Description: transitional package for jovie
  This is a transitional package provided to ease upgrade from kttsd

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='jovie-dbg (<= 4:15.12.1-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/jovie-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/jovie-([\d.]+).tar.xz
